* {
  box-sizing: border-box;
}

body {
  background: #666;
  margin: 0;
  padding: 0;
}

h2 {
  color: #369;
  font-size: 12pt;
}

.flex {
  display: flex;
  justify-content: space-around;
}

section > div {
  border: 1px solid #369;
  float: left;
  height: 250px;
  width: calc(1.618px * 250);
  margin: 0.2em;
  padding: 0.5em;
  position: relative;
  border-radius: 10px;
}

table.todo {
  width: 100%;
  background: white;
}

table.todo td:last-child {
  width: 5em;
}

section > div > div.todo {
  position: absolute;
  top: 3px;
  right: 3px;
  border: 1px solid red;
  border-radius: 50%;
  min-width: 1.2em;
  padding: 0.2em;
  text-align: center;
  background: white;
}

.babs {
  border: 1px solid #369;
  border-radius: 10px;
  height: 95%;
  margin: 0.5em;
  padding: 0.5em;
  width: 95%;
  background: white !important;
}

.babs img,
.babs span.url,
.babs div.todo {
  display: none;
}

.babs .todo {
  display: table;
}

section .X {
  position: absolute;
  top: -5px;
  right: 5px;
  font-size: 25px;
  padding: 0.3em 0.5em;
  cursor: pointer;
  display: none;
  color: silver;
}

.babs .X {
  display: block;
}

img {
  border: 1px solid #369;
  display: block;
  margin: auto;
  max-width: 80%;
  max-height: 80%;
}

a.url img {
  max-width: 100%;
  max-height: 100%;
}

#Data .nav button {
  height: 3em;
}

nav button {
  font-size: 110%;
  width: 100%;
  text-align: left;
  padding: 0.5em;
  position: relative;
}

#Data .nav button {
  position: relative;
  padding-right: 3em;
}

span.todo {
  position: absolute;
  right: 3px;
  top: 3px;
  color: navy;
  text-align: center;
  border: 1px solid blue;
  border-radius: 50%;
  min-width: 2em;
  font: bold 10px arial;
  padding: 0.3em;
  background: lightyellow;
}

.selected {
  background: #adf;
}

tr:not(.About):hover {
  background: #f4f4f4;
}

a.url {
  position: relative;
  display: block;
  max-width: 80%;
  max-height: 80%;
  margin: auto;
  text-decoration: none;
}

a.url span {
  position: absolute;
  right: 8px;
  top: 0px;
  zopacity: 0.8;
  background: yellow;
  zborder-radius: 50%;
  border: 1px solid gray;
  padding: 0.2em;
  font-size: 90%;
  vertical-align: top;
}

.showDetails ~ * {
  display: none;
  border-top: 1px solid black;
}

tr {
  vertical-align: top;
}

div.details {
  min-height: 30em;
  padding: 0.5em;
  background: white;
  border: 1px solid #ddd;
}

div.task {
  padding: 0.5em 0;
}

#Notes {
  position: fixed;
  bottom: 1em;
  left: 1em;
  z-index: 50;
  color: white;
}

#Notes a {
  color: white !important;
}

td.About {
  background: lightyellow;
  display: none;
}

h1 {
  background: #333;
  color: #ddd;
  line-height: 1.5em;
  font-size: 13pt;
  margin: 0;
  padding: 0;
  text-align: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 5em;
}

#Main,
#Data,
#IF {
  position: fixed;
  top: 6em;
  height: calc(100vh - 6em);
  overflow: auto;
  left: 15em;
  width: calc(100vw - 15em);
  border: 1px solid #ddd;
}

#IF {
  zopacity: 0;
  background: white;
  ztransition: all 2s;
}

#IF.grow {
  opacity: 1;
}

nav {
  position: fixed;
  left: 0;
  top: 6em;
  width: 15em;
  height: calc(100vh - 6em);
  background: #333;
  padding: 0.5em;
  padding-top: 0;
  overflow: auto;
}

nav > div:nth-child(1) {
  background: #ddd;
  padding: 0.5em;
}

nav a {
  color: #222 !important;
  font-weight: bold;
  display: block;
  height: 2em;
}

.noAccessKey u {
  text-decoration: none;
}

#Search,
#Offsite {
  position: absolute;
  left: calc(100% - 20em);
  top: 0.5em;
  font-size: 13px;
  color: white;
}

#Search,
label.completed {
  display: none;
}

#Offsite {
  left: 1em;
}

.completed {
  position: absolute;
  left: calc(100% - 20em);
  top: 2.5em;
  font-size: 13px;
  color: white;
}

#Search u {
  color: inherit;
}

#Search input {
  width: 15em;
}

#Search input:focus {
  background: yellow;
}

body.todo section [data-section]:not(.todo),
body.todo section [data-category]:not(.todo) {
  display: none !important;
}

#NewTask {
  position: fixed;
  left: 5vw;
  width: 90vw;
  top: 5vh;
  max-height: 90vh;
  overflow: auto;
  padding: 1vw;
  z-index: 50;
  border: 1px solid #aaa;
  background: #e0fefe;
  border-radius: 10px;
  box-shadow: 10px 10px 5px 0px rgba(0, 0, 0, 0.75);
  display: none;
}

#NewTask [contenteditable]:focus {
  background: lightyellow;
}

#NewTask table {
  width: 100%;
  background: white;
}

#NewTask td:nth-child(1) {
  width: 1px;
}

#NewTask input,
#NewTask textarea {
  width: 100%;
}

#NewTask input:focus,
#NewTask textarea:focus {
  background: lightyellow;
}

#Task {
  height: 1.5em !important;
}

#Details {
  height: 60vh;
}

.disabled {
  opacity: 0.2;
  pointer-events: none;
}

select,
.chosen-single,
.chosen-drop {
  width: 30em !important;
}

#Data th {
  position: sticky;
  top: 0;
  background: #def;
}

#Data td[colspan] {
  background: #eee;
  border-bottom: 3px solid #666;
}

#Details {
  overflow: auto;
}

#Overlay {
  position: fixed;
  left: 10%;
  width: 80%;
  top: 10%;
  height: 80%;
  background: white;
  padding: 1em;
  box-shadow: 10px 10px 5px 0px rgba(0, 0, 0, 0.75);
  display: none;
  z-index: 100;
  overflow: auto;
}

#Daily td:nth-child(3),
#Daily td:nth-child(4) {
  max-width: 40em;
}

#Daily tr > :nth-child(5),
#Daily tr > :nth-child(8) {
  display: none;
}

#Section,
#User {
  display: none;
}

kbd {
  margin: 0px 0.1em;
  padding: 0.1em 0.6em;
  border-radius: 3px;
  border: 1px solid rgb(204, 204, 204);
  color: rgb(51, 51, 51);
  line-height: 1.4;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 10px;
  display: inline-block;
  box-shadow: 0px 1px 0px rgba(0, 0, 0, 0.2), inset 0px 0px 0px 2px #ffffff;
  background-color: rgb(247, 247, 247);
  -moz-box-shadow: 0 1px 0px rgba(0, 0, 0, 0.2), 0 0 0 2px #ffffff inset;
  -webkit-box-shadow: 0 1px 0px rgba(0, 0, 0, 0.2), 0 0 0 2px #ffffff inset;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  text-shadow: 0 1px 0 #fff;
}

tr.done {
  background: #dfd;
}

tr.done:hover {
  background: #cfc;
}

p.done {
  background: #dfd;
  padding: 1em;
  margin: 0;
}

.dragging {
  outline: 1px dashed blue;
  background: #dfd !important;
  box-shadow: 10px 5px 5px 0px rgba(0, 0, 0, 0.75);
  pointer-events: none;
}

tr {
  transition: background 1s;
}

#Status {
  background: white;
  height: 3em;
  z-index: 50;
  position: relative;
  display: none;
}

button {
  -webkit-appearance: none;
  background-image: linear-gradient(to bottom, #f3f3f3, #e0e0e0);
  border-radius: 5px;
}

#P {
  position: absolute;
  left: 14px;
  top: 2.5em;
  font-size: 12px;
}

.completedNav button {
  width: 7em;
}

.daily {
  background: #efe;
}
.weekly {
  background: #fed;
}
.monthly {
  background: #fde;
}
.yearly {
  background: #edd;
}

.user {
  color: brown;
  font-size: 90%;
}

button.instructions ~ div {
  margin-top: 0.5em;
}

#Daily div ol,
#Daily div ul {
  padding-left: 2em;
}

#Daily td:nth-child(6) {
  /* URL */
  max-width: 30em;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

div.category {
  zheight: 400px;
  zoverflow: auto;
  display: none;
}

#Date {
  font-size: 80%;
  font-weight: normal;
  position: absolute;
  left: 1em;
  top: 2.5em;
}

div.projects {
  background: white;
  display: inline-block;
  height: calc(100vh - 200px);
  overflow: auto;
}

div.projects td {
  font: 12px verdana;
}

#Data .projects td:nth-child(1) {
  width: calc(70vw - 15em);
  padding: 0.5em;
}

#Scratch {
  width: 27vw;
  padding: 0.5em;
  height: calc(100vh - 200px);
  overflow: auto;
  background: #eee;
}

#Data .projects td td:nth-child(1) {
  font: 12px arial;
  width: 9em;
  padding: 0;
}

#Data .projects td td:nth-child(2) {
  width: calc(100% - 9em);
}

#Data .projects table table {
  width: 100%;
}

#Data .projects td:nth-child(1):focus {
  background: lightyellow;
}

button.newTask {
  display: none;
}

div.projects td:first-line {
  font-weight: bold;
  color: #246;
}

tr.task span.delete {
  float: right;
  color: red;
  padding: 0 0.5em;
  border: 1px solid #ddd;
  cursor: pointer;
}

div.users button {
  height: 3em;
}

div.users {
  background: #333;
  border-bottom: 1px solid white;
  padding: 0.5em 0;
}

.nav2 {
  position: sticky;
  top: 0;
  background: #369;
  color: white;
}

.nav2 button {
  height: 2em;
}

/* div.projects > table > tbody > tr > */

.outstanding {
  position: absolute;
  right: 3em;
  color: #888;
  padding: 0.2em;
  border: 1px solid #ddd;
  border-radius: 5px;
  font-size: 90%;
}

div.projects td {
  position: relative;
}

div.projects table table {
  display: none;
}

div.projects td.hold table,
div.projects tr.expand table {
  display: table;
}

td[contenteditable] > div {
  height: 1.5em;
  overflow: hidden;
}

td[contenteditable].hold > div {
  height: auto;
}

#ShowCompleted {
  float: right;
}

div.projects .deleteProject {
  float: right;
  color: red;
  padding: 0 0.5em;
  border: 1px solid #ddd;
  cursor: pointer;
}

#Data table li {
  margin-bottom: 1rem;
}
